View Issue Details

IDProjectCategoryView StatusLast Update
0020256mantisbtbugtrackerpublic2016-06-12 00:42
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020256: Don't show reopen button if status change is not allowed by workflow
Description

When the status defined for reopened status is not allowed by workflow configuration, the button for reopening an issue should not be displayed.

Currently, in that situation, the system shows an error: Invalid value for field "Status".
Which is not very descriptive, and it is showed after the step of filling a note (bug_change_status_page).
Not showing the button in the first place avoids this.

TagsNo tags attached.

Related Changesets

MantisBT: master 9eb915c3

2015-11-03 18:48:21

cproensa


Committer: dregad Details Diff
Check workflow prior to reopening bug

Add a check to access_can_reopen_bug() to ensure the reopen status is
reachable by the current workflow configuration. If not, return false.

Previously, the reopen operation would fail anyway when the status is
changed. With this early check, failure is detected before the action is
made.

A direct benefit from this is that the "reopen" button is not shown to
the user if the action is not possible.

Fixes 0020256

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/access_api.php Diff File

Issue History

Date Modified Username Field Change
2015-11-03 19:31 cproensa New Issue
2015-11-04 13:40 cproensa Note Added: 0051815
2015-12-20 18:03 dregad Changeset attached => MantisBT master 9eb915c3
2015-12-20 18:03 dregad Assigned To => dregad
2015-12-20 18:03 dregad Status new => resolved
2015-12-20 18:03 dregad Resolution open => fixed
2015-12-20 18:03 dregad Fixed in Version => 1.3.0-rc.2
2015-12-20 18:03 dregad Target Version => 1.3.0-rc.2
2015-12-21 13:50 atrol Assigned To dregad => community
2016-01-19 15:23 atrol Assigned To community => cproensa
2016-06-12 00:42 vboctor Status resolved => closed